# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'evoc/version'

Gem::Specification.new do |spec|
  spec.name          = "evoc"
  spec.version       = Evoc::VERSION
  spec.authors       = ["Thomas Rolfsnes"]
  spec.email         = ["mail@thomasrolfsnes.com"]

  spec.summary       = %q{A collection of algorithms for doing Targeted Association Rule Mining}
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  spec.executables   = ["evoc",]
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "ruby-prof"
  spec.add_runtime_dependency "require_all"
  spec.add_runtime_dependency "thor"
  spec.add_runtime_dependency "time_difference"
  spec.add_runtime_dependency "ruby-progressbar"
  spec.add_runtime_dependency "rubyzip"
  spec.add_runtime_dependency "algorithms"
  spec.add_runtime_dependency "rubytree"
end
